[jira] [Commented] (SHIRO-610) Incorrect filterchainResolver in 1.4.0-RC2

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

[jira] [Commented] (SHIRO-610) Incorrect filterchainResolver in 1.4.0-RC2

JIRA jira@apache.org

    [ https://issues.apache.org/jira/browse/SHIRO-610?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16042447#comment-16042447 ]

Sven Redelin commented on SHIRO-610:
------------------------------------

As the team has written in https://shiro.apache.org/download.html#latest it is not recommended to depend on shiro-all.
If I use the detailed modules of shiro, deployment with version 1.4.0 works.
my dependencies are
{code}
        compile('org.apache.shiro:shiro-core:1.4.0')
        compile('org.apache.shiro:shiro-web:1.4.0')
        compile('org.apache.shiro:shiro-ehcache:1.4.0')
{code}

> Incorrect filterchainResolver in 1.4.0-RC2
> ------------------------------------------
>
>                 Key: SHIRO-610
>                 URL: https://issues.apache.org/jira/browse/SHIRO-610
>             Project: Shiro
>          Issue Type: Bug
>    Affects Versions: 1.4.0-RC2
>            Reporter: John D. Ament
>
> Caused by: org.apache.shiro.env.RequiredTypeException: Object named 'filterChainResolver' is not of required type [org.apache.shiro.web.filter.mgt.FilterChainResolver]
> This happens OOTB when using DefaultWebEnvironment.  The actual type is a IniFilterChainResolverFactory



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)
Loading...